#!/bin/bash
export CC=${CROSS_COMPILE}gcc
export CXX=${CROSS_COMPILE}g++
export LD=${CROSS_COMPILE}ld

current_dir=`pwd`

tar -zxvf libpcap-1.3.0.tar.gz
cd libpcap-1.3.0
./configure --host=${OSS_HOST} --prefix=${current_dir}/libpcap --with-pcap=linux
make
make install
if [ 0 -eq $? ]; then
    echo "build libpcap success"
else
    echo "build libpcap fail"
    exit 1
fi
cd -


tar -jxv -f mcr-tcpdump-4.3.0-PRE-GIT.tar.bz2
patch -N -p1 -d  mcr-tcpdump-4.3.0-PRE-GIT < mcr-tcpdump-4.3.0-PRE-GIT_mtk.patch
cd  mcr-tcpdump-4.3.0-PRE-GIT 

export CFLAGS="-I${current_dir}/libpcap/include -L${current_dir}/libpcap/lib"

./configure --host=${OSS_HOST} --enable-ipv6 --disable-smb
make

TRIP=${CROSS_COMPILE}strip
${TRIP} tcpdump

mkdir -p ${TAR_INSTALL_PATH}/netcom/sbin
cp tcpdump ${TAR_INSTALL_PATH}/netcom/sbin/.

